Subject: Re: bug#18001: default behavior changes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jul 2014 09:28:47 +0300

> From: Glenn Morris <[email-masked]>
> Date: Fri, 11 Jul 2014 22:11:56 -0400
> Cc: [email-masked]
> 
> "Joel F Rodriguez" wrote:
> 
> > I upgraded my OS to FreeBSD9.2-release and now my installation of emacs
> > seems stuck at displaying just 80 columns.
> [...]
> > On a personal note I find it archaic that when I bring up emacs in a ssh
> > that it comes up in 80 col mode and will not automatically resize to the
> > width of my window.
> 
> I'm afraid your report makes little sense to me.

I, too, see little sense here.

> In a text-terminal, Emacs uses whatever the terminal width is.
> It is as far as I know impossible for it to somehow be "less wide" than
> the terminal.

Nitpicking: it _is_ possible for Emacs on a TTY to show a frame that
is narrower than the terminal, but it requires an explicit user
command, and the possibility exists for debugging only.  Emacs
certainly doesn't do that on startup.